Bug 958303 - (CVE-2013-2031, CVE-2013-2032) CVE-2013-2031 CVE-2013-2032 mediawiki: security releases 1.20.5 and 1.19.6
CVE-2013-2031 CVE-2013-2032 mediawiki: security releases 1.20.5 and 1.19.6
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130420,repor...
: Security
: 958474 (view as bug list)
Depends On: 953669 953670 958306 958307
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 16:56 EDT by Vincent Danen
Modified: 2013-05-24 16:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: mediawiki 1.20.5, mediawiki 1.19.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-04-30 16:56:10 EDT
Two flaws were corrected in the recently-released MediaWiki 1.20.5 and 1.19.6 releases:

* Jan Schejbal / Hatforce.com reported that SVG script filtering could be bypassed for Chrome and Firefox clients by using an encoding that MediaWiki understood, but these browsers interpreted as UTF-8. [1]

* Internal review discovered that extensions were not given the opportunity to disable a password reset, which could lead to circumvention of two-factor authentication. [2]

[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=47304
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=46590
Comment 1 Vincent Danen 2013-04-30 16:58:00 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 958306]
Affects: epel-5 [bug 953669]
Comment 2 Vincent Danen 2013-04-30 16:58:03 EDT
Created mediawiki119 tracking bugs for this issue

Affects: epel-6 [bug 958307]
Comment 3 Vincent Danen 2013-04-30 16:58:06 EDT
Created mediawiki116 tracking bugs for this issue

Affects: epel-all [bug 953670]
Comment 4 Vincent Danen 2013-05-01 15:45:13 EDT
*** Bug 958474 has been marked as a duplicate of this bug. ***
Comment 5 Vincent Danen 2013-05-01 15:46:44 EDT
As per http://seclists.org/oss-sec/2013/q2/248 these issues have been assigned CVE-2013-2031 (SVG script filter bypass) and CVE-2013-2032 (circumvention of two-factor authentication).
Comment 6 Fedora Update System 2013-05-17 18:17:54 EDT
mediawiki119-1.19.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-18 22:34:02 EDT
mediawiki-1.19.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-18 22:39:37 EDT
mediawiki-1.19.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-24 16:36:08 EDT
mediawiki-1.20.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.